/*
 *  rectangle.cpp
 *  emptyExample
 *
 *  Created by Kate Watkins on 9/11/11.
 *  Copyright 2011 Parsons New School of Design. All rights reserved.
 *
 */
//////////\\\\\\\\\\/////////\\\\\\\\\////////\\\\\\\\///////\\\\\\\//////\\\\\\/////\\\\\////\\\\\\\
///////////  \\\\\\\\\////////  \\\\\\\\///////  \\\\\\\//////  \\\\\\//////  \\\\\////  \\\\///  \\\\
//////////    \\\\\\\\///////    \\\\\\\//////    \\\\\\/////    \\\\\/////    \\\\///    \\\//    \\\\
/////////      \\\\\\\//////      \\\\\\/////      \\\\\////      \\\\////      \\\//      \\/      \\\\
////////\------/\\\\\\/////\------/\\\\\\///\------/\\\////\------/\\\///\------/\\/\------/\\------/\\\\
///////--\----/--\\\\\////--\----/--\\\\\//--\----/--\\///--\----/--\\//--\----/--\--\----/--\\----/--\\\\
//////    \--/    \\\\///    \--/    \\\\/    \--/    \//    \--/    \/    \--/    \  \--/    \\--/    \\\\
//\\\\----/--\----/\\\//\----/--\----/\\\\----/--\----/\\----/--\----/\----/--\----/--/--\----//--\----////
//\\\\\--/    \--/  \\/  \--/    \--/  \\\\--/    \--/  \\--/    \--/  \--/    \--/--/    \--//    \--////
//\\\\\\/------\/    \    \/------\/    \\\\/------\/    \\/------\/    \/------\/ \/------\//------\////
//\\\\\\\------/      \   /\------/      \\\\------/      \\------/      \------/   \------//\------////   
//\\\\\\\\    /        \ /  \    /        \\\\    /        \\    /        \    /     \    //  \    ////
//\\\\\\\\\--/          \   /\--/          \\\\--/          \\--/          \--/       \--//    \--////
//\\\\\\\\\\/------------\ /  \/------------\\\\/------------\\/------------\/---------\//------\////
//\\\\\\\\\\\------------/ \  /\------------////\------------//\------------/\---------/\\------/\\\\
//\\\\\\\\\\\\          /---\/--\          ////--\          //--\          /--\       /--\\    /--\\\\
//\\\\\\\\\\\\\--------/    /\  /\--------////    \--------//   /\--------/    \-----/    \\--/    \\\\
//\\\\\\\\\\\\\\------/    /  \/  \------////      \------//   /  \------/      \---/      \\/      \\\\
//\\\\\\\\\\\\\\\    /----/\  /\  /\    ////--------\    //    \  /------\      /---\      //\      ////
//\\\\\\\\\\\\\\\\--/     \/\/  \/  \--////          \--//      \/--------\    /-----\    //--\    ////
//\\\\\\\\\\\\\\\\\/-------\/\--/----\////            \//       /----------\  /-------\  //----\  ////
//\\\\\\\\\\\\\\\\\\-------/\/\/-----////\-------------\\------//\----------\/---------\//-----/\////
//\\\\\\\\\\\\\\\\\\\     //\\/\    ////\/\            //\    ///\\         /\         /\\     \/\\\\

#include "rectangle.h"


//------------------------------------------------------------------
rectangle::rectangle(){
	
	catchUpSpeed = 0.07f; 
	r = 0;
	g = 0;
	b = 0;
	alpha = 0; 
	
}
//--------------------------------------------------------------
void rectangle::draw(){
	
	ofFill(); 
	//ofSetRectMode(OF_RECTMODE_CENTER); // center around the position
	ofSetColor(r, g, b);
	ofRect(pos.x, pos.y, 30, 30); 
}
//--------------------------------------------------------------
void rectangle::xenoToPoint(float catchX, float catchY, float speed){
	
	pos.x = speed * catchX + (1-speed) * pos.x; 
	pos.y = speed * catchY + (1-speed) * pos.y; 
	
	//use this equation
	
	//pos.x = (1+pct) * posA.x + (pct) * posB.x-1*pct;
}
