//////////\\\\\\\\\\/////////\\\\\\\\\////////\\\\\\\\///////\\\\\\\//////\\\\\\/////\\\\\////\\\\\\\
///////////  \\\\\\\\\////////  \\\\\\\\///////  \\\\\\\//////  \\\\\\//////  \\\\\////  \\\\///  \\\\
//////////    \\\\\\\\///////    \\\\\\\//////    \\\\\\/////    \\\\\/////    \\\\///    \\\//    \\\\
/////////      \\\\\\\//////      \\\\\\/////      \\\\\////      \\\\////      \\\//      \\/      \\\\
////////\------/\\\\\\/////\------/\\\\\\///\------/\\\////\------/\\\///\------/\\/\------/\\------/\\\\
///////--\----/--\\\\\////--\----/--\\\\\//--\----/--\\///--\----/--\\//--\----/--\--\----/--\\----/--\\\\
//////    \--/    \\\\///    \--/    \\\\/    \--/    \//    \--/    \/    \--/    \  \--/    \\--/    \\\\
//\\\\----/--\----/\\\//\----/--\----/\\\\----/--\----/\\----/--\----/\----/--\----/--/--\----//--\----////
//\\\\\--/    \--/  \\/  \--/    \--/  \\\\--/    \--/  \\--/    \--/  \--/    \--/--/    \--//    \--////
//\\\\\\/------\/    \    \/------\/    \\\\/------\/    \\/------\/    \/------\/ \/------\//------\////
//\\\\\\\------/      \   /\------/      \\\\------/      \\------/      \------/   \------//\------////   
//\\\\\\\\    /        \ /  \    /        \\\\    /        \\    /        \    /     \    //  \    ////
//\\\\\\\\\--/          \   /\--/          \\\\--/          \\--/          \--/       \--//    \--////
//\\\\\\\\\\/------------\ /  \/------------\\\\/------------\\/------------\/---------\//------\////
//\\\\\\\\\\\------------/ \  /\------------////\------------//\------------/\---------/\\------/\\\\
//\\\\\\\\\\\\          /---\/--\          ////--\          //--\          /--\       /--\\    /--\\\\
//\\\\\\\\\\\\\--------/    /\  /\--------////    \--------//   /\--------/    \-----/    \\--/    \\\\
//\\\\\\\\\\\\\\------/    /  \/  \------////      \------//   /  \------/      \---/      \\/      \\\\
//\\\\\\\\\\\\\\\    /----/\  /\  /\    ////--------\    //    \  /------\      /---\      //\      ////
//\\\\\\\\\\\\\\\\--/     \/\/  \/  \--////          \--//      \/--------\    /-----\    //--\    ////
//\\\\\\\\\\\\\\\\\/-------\/\--/----\////            \//       /----------\  /-------\  //----\  ////
//\\\\\\\\\\\\\\\\\\-------/\/\/-----////\-------------\\------//\----------\/---------\//-----/\////
//\\\\\\\\\\\\\\\\\\\     //\\/\    ////\/\            //\    ///\\         /\         /\\     \/\\\\


#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	
	ofSetVerticalSync(true); 
	ofEnableAlphaBlending(); 
	ofBackground(200,200,200); 
	
	//multimple rectangles
	for(int i=0; i<10; i++){
		
		myRectangles[i].pos.x = mouseX;
		myRectangles[i].pos.y = mouseY; 
		 
		myRectangles[i].r = ofRandom(55,115); 
		myRectangles[i].g = ofRandom(48,138);
		myRectangles[i].b = ofRandom(82,152);
		myRectangles[i].alpha = ofRandom(70,100); 
	}

}

//--------------------------------------------------------------
void testApp::update(){
	
	for (int i=0; i<11; i++){
	//set to multiple rectangles
	//myRectangle.xenoToPoint(mouseX, mouseY, i * 0.01); 
		myRectangles[i].xenoToPoint(mouseX, mouseY, (i+1) * 0.01);
	}
}

//--------------------------------------------------------------
void testApp::draw(){
	for (int i=0; i<11; i++){
		//int i=1 to avoid having the first sq drawn at (0,0);
		myRectangles[i].draw();
	
	}
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

//--------------------------------------------------------------
void testApp::gotMessage(ofMessage msg){

}

//--------------------------------------------------------------
void testApp::dragEvent(ofDragInfo dragInfo){ 

}